TechDraw View/de: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "==Beschreibung== Das Werkzeug »Neue Ansicht« fügt eine Ansicht von einem oder mehreren Objekten in die Zeichnungsseite ein. Das ist der wesentliche Baustein der TechDraw Mo...")
Line 1: Line 1:
{{GuiCommand/de|Name=TechDraw NewView|Name/de=Neue Ansicht|Workbenches=[[TechDraw Module/de|TechDraw]]|MenuLocation=TechDraw → Ansicht in Zeichnung einfügen|Shortcut=|SeeAlso=}}
{{GuiCommand/de|Name=TechDraw NewView|Name/de=Neue Ansicht|Workbenches=[[TechDraw Module/de|TechDraw]]|MenuLocation=TechDraw → Ansicht in Zeichnung einfügen|Shortcut=|SeeAlso=}}


==Description==
==Beschreibung==
Das Werkzeug »Neue Ansicht« fügt eine Ansicht von einem oder mehreren Objekten in die Zeichnungsseite ein. Das ist der wesentliche Baustein der TechDraw Module. Das ist der Grundbaustein des TechDraw-Moduls. Die meisten anderen Ansichten werden in gewisser Weise wie »Neue Ansicht« abgeleitet.
The View tool adds a representation of one or more objects to a Drawing page. This is the basic building block of the TechDraw module. Most other Views are derived in some way from NewView.
[[File:ViewOfBox2.png|200px|center]]
[[File:ViewOfBox2.png|200px|center]]



Revision as of 09:46, 23 April 2018

Neue Ansicht

Menüeintrag
TechDraw → Ansicht in Zeichnung einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Keiner

Beschreibung

Das Werkzeug »Neue Ansicht« fügt eine Ansicht von einem oder mehreren Objekten in die Zeichnungsseite ein. Das ist der wesentliche Baustein der TechDraw Module. Das ist der Grundbaustein des TechDraw-Moduls. Die meisten anderen Ansichten werden in gewisser Weise wie »Neue Ansicht« abgeleitet.

File:ViewOfBox2.png

How to use

  1. Select one or more objects (Body, App::Part, Part::Feature, Draft object, ... See Notes) in the 3D window or tree.
  2. If you have multiple drawing pages in your document, you will also need to select the desired page in the tree.
  3. Press the File:Techdraw-view.png View button

Options

None.

Properties

  • DatenX: The view's horizontal position on the page. (1)
  • DatenY: The view's vertical position on the page. (1)
  • DatenLockPosition: Prevents Views from being dragged in the Gui when true. The View can still be moved by changing X,Y properties. (1)
  • DatenRotation: Counterclockwise rotation of the View on the page in degrees. (1)
  • DatenScaleType: "Document": use the Page's scale setting. "Custom": use a scale unique to this view. "Automatic": fit view to page. (1)
  • DatenScale: A view will be rendered on the page in Scale:1 ratio to the Source. (1)
  • DatenCaption: Optional short text caption.
  • DatenSource: Links to the Drawable Objects to be depicted
  • DatenDirection: A vector representing the viewing direction. Common Directions are Front: (0,-1,0), Top: (0,0,1), Right: (1,0,0), Axo: (1,1,1). (1)
  • DatenPerspective: True for perspective projection, false for orthogonal projection.
  • DatenFocus: Distance from camera to projection plane for perspective projections. Needs to be adjusted to fit the object. Too far and the perspective is lost, too close and the object is distorted.
  • DatenCoarseView: If true, TechDraw will use a polygon approximation to calculate drawing geometry. If false, TechDraw will use a precision algorithm. See Notes.
  • DatenSmooth Visible Lines: Visible Smooth lines on/off.
  • DatenSeam Visible Lines: Visible Seam lines on/off.
  • DatenIso Visible Lines: Visible Isometric(u,v) lines on/off.
  • DatenHard Hidden Lines: Hidden lines on/off.
  • DatenSmooth Hidden Lines: Hidden Smooth lines on/off.
  • DatenSeam Hidden Lines: Hidden Seam lines on/off.
  • DatenIso Hidden Lines: Hidden Isometric(u,v) lines on/off.
  • DatenIso Count: Number of Isometric(u,v) lines to draw on each face.
  • AnsichtKeep Label: Always show View Label if true.
  • AnsichtLineWidth: The thickness of visible lines. See Line Groups.
  • AnsichtHiddenWidth: The thickness of hidden lines, if enabled.
  • AnsichtIsoWidth: The thickness of isometric(u,v) surface lines and Dimension lines.
  • AnsichtExtraWidth: not implemented yet.
  • AnsichtShowCenters: Circle/arc center marks on/off.
  • AnsichtCenterScale: Circular arc center mark size adjustment, if enabled.
  • AnsichtHorizCenterLine: Show a horizontal centerline through view.
  • AnsichtVertCenterLine: Show a vertical centerline through view.
  • AnsichtShowSectionLine: Show/hide section line if applicable.

(1) these properties are common to all View types.

Scripting

Views can be added to Pages using Python.

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)

Notes

  • View will draw anything with a Shape property. You can select Draft objects or Bodies also. View will also extract any shapes from objects within an App::Part container or a DocumentObject Group.
  • CoarseView can be much faster for complex models. The quality of the drawing is reduced, since every curve is approximated as a series of short line segments. Vertices are not displayed in CoarseView since each short segment would result in two new Vertices and the display becomes cluttered. Linear Dimensions can be added to a CoarseView, but are unlikely to be useful.
  • Note that CoarseView is affected by an upstream bug in OCCT (#3332) which causes the View's position on the Page to be slightly off from the specified X,Y values.